.flexnav {
	list-style: none;
	display: block;
	position: relative;
	z-index: 9999;
	top: 5em;
	margin-left: auto;
	margin-right: 0;
	/*margin-bottom: -2em;*/
	background: #000;
	/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#000000+0,000000+100&amp;0+0,1+67 */
background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,1) 67%, rgba(0,0,0,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(67%,rgba(0,0,0,1)), color-stop(100%,rgba(0,0,0,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 67%,rgba(0,0,0,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 67%,rgba(0,0,0,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 67%,rgba(0,0,0,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,1) 67%,rgba(0,0,0,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#000000',GradientType=0 ); /* IE6-9 */

	color: #fff;
	text-align: right;
	text-transform: uppercase;
}
	.flexnav li {
		display: inline-block;
		text-align: right;
		padding-right: 2%;
		width: 10%;
	}
		.flexnav li a {
			text-decoration: none;
			color: #fff;
			border-bottom: none;
		}
	.flexnav li:hover{

	}	
		.flexnav li:hover a {
			color: #ccc;				
		}
	.flexnav li ul li {
		background: #ccc;
		display: block;
	}
	.flexnav li:hover ul li a {
		color: #000;
	}
	.flexnav li ul li:hover {
		background: #d5100a;
	}
	.flexnav li ul li:hover a {
		color: #fff;
	}
	.flexnav li ul {
		width: 100%;
	}
	.flexnav .touch-button .navicon {
		color: #fff;
	}
	.menu-button{
		background: #000;
		color: #fff;
		-moz-box-shadow: -2px 0 8px #333;
		-webkit-box-shadow: -2px 0 8px #333;
		box-shadow: -2px 0 8px #333;
		margin-top: 7em;
	}
	.menu-button .touch-button .navicon{
		color: #fff;
	}
@media all and (min-width: 801px) and (max-width: 1100px){
	.flexnav li {
		width: 20%;
	}
}
@media all and (min-width: 801px){
	.flexnav .touch-button {
		display: none;
	}
}
@media only screen and (min-width: 600px) and (max-width: 800px) {
	.menu-button {
		margin-top: 7.5em;
	}
}
@media only screen and (max-width: 800px) {
	.flexnav {
		display: block;
		width: 100%;
		background: #fff;
		-moz-box-shadow: 2px 0 8px #666;
		-webkit-box-shadow: 2px 0 8px #666;
		box-shadow: 2px 0 8px #666;
		z-index: 999999;
		position: absolute;
		top: 0.03em;
		margin-left: 0;
		margin-right: 0;
		margin-bottom: 0;
		border-bottom: 3px solid #DE3740;
	}
	.flexnav li {
		width: 100%;
		display: block;
		text-align: left;
	}
	.flexnav li a {
		color: #000;
	}
	.flexnav li:hover a {
		color: #d5100a;
	}
}